
/*
This is the Arduino code for https://www.niklasroy.com/pleaseleaveamessage/
The code runs on a NodeMCU 1.0 / (ESP-12-E Module). The ESP opens an access point and serves a website under the URI http://192.168.4.1
When opening the website, one can draw an image. The Javascript writes the coordinates of the drawn lines into the textfield of an invisible
form. When pushing the "Drucken" button, the coordinates are sent to the ESP via POST. The ESP forwards the coordinates to the ArduinoMEGA via serial port.
*/


#include <ESP8266WiFi.h>
#include <WiFiClient.h>
#include <ESP8266WebServer.h>
#include <SoftwareSerial.h>

String  wsHome           = "";             // html of websites            
String  wsPrint          = "";             
boolean ledState         = 0;              // State of internal ESP LED
boolean debugMsg         = true;
SoftwareSerial s(3,1);

ESP8266WebServer server(80);
//====================================================== SETUP
void setup() {

  pinMode(LED_BUILTIN, OUTPUT);                       // initialize the ESP led pin as an output

  Serial.begin(9600);                               // open serial connection with 115200bd
  s.begin(9600);                                    // open softserial conection with 9600bd
  Serial.println("--- R online ---");
  Serial.println("t:" + String(millis()));

  // ................................................... open wifi access point
  if (debugMsg) Serial.println("Open wifi");
  WiFi.softAP("R");
  server.on("/", handleHome); 
  server.on("/print", handlePrint);  
  server.begin();
  createHtml();
}
//====================================================== LOOP
void loop() {
     
  // ................................................... webserver
  server.handleClient();
}
